<form [formGroup]="form" class="flex-col reset-pass">
    <mb-input 
    formControlName="email" 
    [placeholder]="emailPlaceholder">
    </mb-input>
    <div class="control-wrapper"> 
        <mb-action-button [mat-dialog-close]="form.value.email" [value]="'Reset'" [disabled]='form.invalid' ></mb-action-button>
    </div>
</form>